Review action on test case
PUT
/testcases/{id}/reviewReview action on test case
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestCasesApi(config);
const result = await api.reviewTestCase({ "id": 123, "testCaseReviewPayload": { "actionType": "example", "project": 123 }});console.log(result);curl --request PUT \ "https://api.testcollab.io/testcases/123/review?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "actionType": "example", "project": 123, "comment": "example"}'Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Case ID |
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
actionType |
string | Yes | Review actions like approve/reject/request_changes |
project |
number | Yes | — |
comment |
string | No | — |
Response
Section titled “Response”200 — Result of review action
| Field | Type | Required | Description |
|---|---|---|---|
status |
boolean | Yes | — |
affected |
number | No | — |
message |
string | No | — |
{ "status": true, "affected": 123, "message": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |